/********************************************************************************
 *
 * Copyright (c) 2007
 * Luchesar Iliev <iliev@acad.bg>
 *
 * This file is part of psping(1).
 *
 * psping is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * psping is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with psping; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 ********************************************************************************/


// HEADER GUARD
#ifndef PSPING__VALIDATION_H
#define PSPING__VALIDATION_H


/********************************************************************************
 ********************************************************************************
 **
 ** Things you should NOT change
 **
 ********************************************************************************
 ********************************************************************************/

/*
    DEFINES
*/

// Bold and normal attributes for terminal output
#define BOLD                    "\033[1m"
#define FLAT                    "\033[m"

// URL validation pattern
#define URL_VALID_PATTERN       "^http://[a-z0-9+.-]+(:[0-9]+)?/.*"

/*
    FUNCTIONS
*/

// Validate URL against a preset pattern
int validate_url(const char*);

// Validate a string against a preset pattern
int validate_string(const char*, const char*);


// HEADER GUARD
#endif                          // PSPING__VALIDATION_H

